package ink.wgink.login.oauth2.server.converter;

import ink.wgink.service.user.service.IUserService;
import org.springframework.security.oauth2.provider.token.DefaultAccessTokenConverter;

/**
 * @ClassName: UserAccessTokenConverter
 * @Description: 用户jwt token
 * @Author: WangGeng
 * @Date: 2019/2/28 3:26 PM
 * @Version: 1.0
 **/
public class UserAccessTokenConverter extends DefaultAccessTokenConverter {

    public UserAccessTokenConverter(IUserService userService) {
        super();
        UserAuthConverter userAuthConverter = new UserAuthConverter();
        userAuthConverter.setUserService(userService);
        super.setUserTokenConverter(userAuthConverter);
    }

}
